Package org.eclipse.viatra.addon.databinding.runtime.adapter

## Class MatcherProperties.MatcherLabelProperty

- java.lang.Object
- - org.eclipse.core.databinding.property.value.ValueProperty
  - - org.eclipse.viatra.addon.databinding.runtime.adapter.MatcherProperties.MatcherLabelProperty

- All Implemented Interfaces:
    `org.eclipse.core.databinding.property.IProperty`, `org.eclipse.core.databinding.property.value.IValueProperty`
  Enclosing class:
    MatcherProperties

      protected static class MatcherProperties.MatcherLabelProperty
      extends org.eclipse.core.databinding.property.value.ValueProperty

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MatcherLabelProperty​(java.lang.String expression)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValueType()` |
    `org.eclipse.core.databinding.observable.value.IObservableValue` | `observe​(org.eclipse.core.databinding.observable.Realm realm, java.lang.Object source)` |

    - ### Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty

      `doGetValue, doSetValue, getValue, list, map, observe, observeDetail, observeDetail, observeDetail, observeDetail, set, setValue, value, valueFactory, valueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatcherLabelProperty

          public MatcherLabelProperty​(java.lang.String expression)

  - ### Method Detail

    - #### getValueType

          public java.lang.Object getValueType()

    - #### observe

          public org.eclipse.core.databinding.observable.value.IObservableValue observe​(org.eclipse.core.databinding.observable.Realm realm,
                                                                                        java.lang.Object source)